#/bin/sh
# Threshold plugin 2.0b for cacti 8.6c
#
# Copyright 2005 Aurelio DeSimone
# adesimone@ciscoconfigbuilder.com
# 
# Use at your own risk.  NO Warranty or Guarantee given.
#
# Some code may have been used from other parts of cacti - copyright of Ian Berry
#

if [ "$1" != "" ]
        then
		if [ -f "$1/thold.php" ]
			then
			echo "Directory Check OK"
		else
			echo "Error - old version not found.  Please check syntax"
			exit
		fi
                echo "Installing into $1"
        else
                echo "Error - wrong syntax - you must specify cacti root directory ie: update.sh /var/www/html/cacti"
                exit
fi


# make sure we aren't installing twice
checkold=`grep "Threshold plugin 2.0b" $1 | wc -l | awk '{print $1}'`

if [ $checkold -eq 0 ]
	then
		echo "Updating version 2.0.."
	else
		echo "An installation seems already be present.  Quitting"
		exit
fi




cactibasedir=$1

echo " "
echo "WARNING: you may want to backup files & cacti database before proceeding."
echo "An uninstall script is provided to remove & restore modified files."
echo "Use at your own risk.  NO Warranty or Guarantee given."
echo "If you continue, you agree not to hold me liable for damages or loss of data."
echo "press CTRL+C in the next 5 seconds to stop"
sleep 6
echo " "

# backup first
echo "Backing up files..."
mv $cactibasedir/thold.php $cactibasedir/thold.php.bak
mv $cactibasedir/listthold.php $cactibasedir/listthold.php.bak
mv $cactibasedir/thold/check-thold.php $cactibasedir/thold/check-thold.php.bak

# modify files
echo "Modifying files..."
replace "/var/www/html/cacti" "$1" -- check-thold.php
touch $cactibasedir/log/thold.log

# install files
echo "Installing new files..."
mv thold.php $cactibasedir/
mv listthold.php $cactibasedir/
mv check-thold.php $cactibasedir/thold/


echo "*************************************************************************************************** "
echo " "
echo "installation complete."
echo " "
echo "**************************************************************************************************** "
